/**
 * [弹窗登录、注册]
 *
 * 【使用方法】：
 * 情况一：登陆后关闭弹窗，当前页面刷新
 * 			直接在页面的script地方加上：iframeAccountJs.start();即可使用。
 *
 * 情况二：验证用户是否登录，没登录弹出登录框，登陆后跳转到相应的地址
			iframeAccountJs.start();
			$('#wanyouxi').click(function(){
				var location_url = 'http://www.baidu.com';
				var is_login = 2;
				if (is_login == 1) {
					window.location.href=location_url;
				} else {
					var return_url = encodeURIComponent(location_url);
					iframeAccountJs.openDiv(return_url);
				}
			});
 *
 */
var iframeAccountJs = {
	"url" : '/login/ajaxLogin/from/',
	"regUrl":'/login/ajaxReg',
	"open_login_id" : 'lnk_iframe_login',
    "open_login_class" : 'lnk_iframe_login',
	"open_register_id" : 'lnk_iframe_register',
	"start" : function(channelid) {
		if (/^http:\/\/dev/.test(window.location.href)) {
			this.url = '/index.php?r=login/ajaxLogin&to_url=';
		}
		if(channelid == '' || channelid == 'undefined' || channelid == null) {
			channelid = 0;
		}
		this.channelid = channelid;
		this.loadHtml();
		this.doListen();
	},
	"loadHtml" : function() {
		var add_html = '<div style="display: none;" class="maskbg" id="iframe_account_bg"></div>';
			add_html +='<div style="display:none;" class="popup pop-login" id="iframe_account_login"><div class="pop-mask"></div><a target="_self" href="javascript:;" class="btn-close"></a>';
			add_html += '<div id="iframe_account_div" ></div></div>';
			add_html += '<div style="display:none;" class="popup pop-reg" id="iframe_account_register"><div class="pop-mask"></div><a target="_self" href="javascript:;" class="btn-close"></a>';
			add_html += '<div id="iframe_account_regdiv" ></div></div>'
			//add_html += '<a href="javascript:void(0);" class="btn_close" target="_self" title="关闭">×</a>';
			//add_html += '<iframe scrolling="no" frameborder="0"></iframe>';
			//add_html += '</div>';
		$('body').append(add_html);
		//$('#iframe_account_bg').height($('body').height());
	},
	"openDiv" : function(from,returnurl) {
		/*var top = $(document).scrollTop();
		var left = $(document).scrollLeft();
		var window_w = $(window).width();
		var window_h = $(window).height();
		w = parseFloat(window_w / 2)+left-300;
		h = parseFloat(window_h / 2)+top-200;
		$("#iframe_account_div").css({'top': h, 'left': w});

		var src = this.url+return_url;
		src += '&channelid=' + this.channelid;
		$('#iframe_account_div iframe').attr('src',src);*/
		var that = this;
		$('#iframe_account_register').hide();
		var url = that.url+from+'/returnurl/'+returnurl;
		$.ajax({
			url:url,
			dataType:'html',
			success: function(data){
				$("#iframe_account_div").html(data);
			}
		});
		$('#iframe_account_bg').show();
		$('#iframe_account_login').show();
	},
	'openRegDiv' :function(return_url){
		$('#iframe_account_login').hide();
		var that = this;
		var url = that.regUrl+'/returnurl/'+return_url;
		$.ajax({
			url:url,
			dataType:'html',
			success:function(data){
				$("#iframe_account_regdiv").html(data);
			}
		})
		$('#iframe_account_bg').show();
		$('#iframe_account_register').show();
	},
	"closeDiv" : function(reload) {
		var reload = reload || 0;
		$('#iframe_account_bg').hide();
		$('#iframe_account_login').hide();
		$('#iframe_account_register').hide();
		if (reload == 1) {
			window.location.reload();
		}
	},
	"doListen" : function() {
		var self = this;
		var now_url = window.location.href;
		//点击登录入口
		$('#'+self.open_login_id).live('click',function(){
			//var return_url = encodeURIComponent(encodeURIComponent(now_url))+'&type=login';
			self.openDiv(1);
		});
        $('.'+self.open_login_class).bind('click',function(){
            var _obj_id = $(this).attr('_for_id');
            if(_obj_id == 'feihuo_tab'){
                _obj_id =1;
            }else{
                _obj_id = '';
            }
			//var return_url = encodeURIComponent(encodeURIComponent(now_url))+'&type=login&for_id='+_obj_id;
        	self.openDiv(_obj_id);
		});
		//点击注册入口
		$('#'+self.open_register_id).bind('click',function(){
			var return_url = encodeURIComponent(encodeURIComponent(now_url))+'&type=register';
			self.openRegDiv(return_url);
		});
		//点击关闭
		$('#iframe_account_login .btn-close').bind('click',function(){
			self.closeDiv();
		});
		//点击关闭
		$('#iframe_account_register .btn-close').bind('click',function(){
			self.closeDiv();
		});
	}

};